# Show workspace metrics

Show metrics for workspaces

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/workspace-metrics
Version: 1.0
Security: x-api-key

## Query parameters:

  - `start_time` (integer)
    Start time filter (Unix timestamp)
    Example: 3702652903170433000

  - `end_time` (integer)
    End time filter (Unix timestamp)
    Example: 1175252005813441000

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "f89"

  - `project` (string, required)
    Project is the project identifier.
    Example: "3"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "kh"

## Response 200 fields (application/json):

  - `status_counts` (object)
    Counts by status
    Example: {"Dolores voluptas quidem facilis consectetur saepe aut.":2109936033664810000,"Illum magnam asperiores nam voluptas iste vel.":8971488548516024000,"Quidem fugiat dolorum et.":5387610451354671000}

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


